/**
 * ActClassObservation2.java
 *
 * File generated from the medication2::ActClassObservation2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClassObservation2.
 *
 * 
 */

@XmlType(name = "ActClassObservation")
@XmlEnum
@XmlRootElement(name = "ActClassObservation2")
public enum ActClassObservation2 {
	@XmlEnumValue("OBS")
	OBS("OBS"),
	@XmlEnumValue("ALRT")
	ALRT("ALRT"),
	@XmlEnumValue("CLNTRL")
	CLNTRL("CLNTRL"),
	@XmlEnumValue("CNOD")
	CNOD("CNOD"),
	@XmlEnumValue("DGIMG")
	DGIMG("DGIMG"),
	@XmlEnumValue("INVSTG")
	INVSTG("INVSTG"),
	@XmlEnumValue("SPCOBS")
	SPCOBS("SPCOBS"),
	@XmlEnumValue("COND")
	COND("COND"),
	@XmlEnumValue("CASE")
	CASE("CASE"),
	@XmlEnumValue("OUTB")
	OUTB("OUTB"),
	@XmlEnumValue("OBSSER")
	OBSSER("OBSSER"),
	@XmlEnumValue("OBSCOR")
	OBSCOR("OBSCOR"),
	@XmlEnumValue("ROIBND")
	ROIBND("ROIBND"),
	@XmlEnumValue("ROIOVL")
	ROIOVL("ROIOVL");
	
	private final String value;

    ActClassObservation2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActClassObservation2 fromValue(String v) {
        for (ActClassObservation2 c: ActClassObservation2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
